//
//  LoginView.swift
//  AcaMate
//
//  Created by Sean Kim on 12/1/24.
//

import SwiftUI

struct LoginView: View {
    @EnvironmentObject var alertController: AlertController
    @Binding var naviState : NaviState
    
    var body: some View {
        VStack(spacing: 0) {
            Image("Team_Icon")
                .resizable()
                .frame(width: 200, height: 200)
                .background(.white)
                .border(.black)
                .padding(.bottom, 84)
            Button {
                
            } label: {
                HStack(spacing: 12) {
                    Image("Kakao_Icon")
                        .resizable()
                        .frame(width: 32, height: 32)
                    Text("카카오 계정으로 시작하기")
                        .font(.nps(font: .regular, size: 16))
                        .foregroundStyle(Color(.Text.black))
                }
                .padding(12)
                .background {
                    RoundedRectangle(cornerRadius: 12)
                        .foregroundStyle(Color(.Other.yellow))
                }
            }
            
            Button {
                alertController.alertData = SetAlertData().setTest()
                alertController.showAlert.toggle()
//                naviState.set(act: .MOVE,path: .Intro)
                
            } label: {
                Text("111111111")
            }
            .padding()
        }
        .fullView(.Normal.normal)
        
    }
}

//#Preview {
//    LoginView()
//}
